/*
 * strrchr.c  -  String handling which should be in the standard library
 *
 * Copyright (C) 2003-2006 Gero Kuhlmann <gero@gkminix.han.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: strrchr.c,v 1.5 2005/11/22 18:25:01 gkminix Exp $
 */

#include <common.h>
#include <nblib.h>
#include "privlib.h"



/*
 * Locate last character in a string.
 */
char *nbstrrchr(s, c)
const char *s;
char c;
{
  char *retval = NULL;

  /* Scan through whole string */
  while (*s) {
	if (*s == c)
		retval = s;
	s++;
  }

  /* Return result */
  return(retval);
}

